libei 1.4.0 A library for Emulated Input

oeffis Struct Reference
🚌 liboeffis - An XDG RemoteDesktop portal wrapper API

The main context to interact with liboeffis. More...

`#include <liboeffis.h>`

## Detailed Description

The main context to interact with liboeffis.

A liboeffis context is a single connection to DBus session bus and must only be used once.

Note
  A caller must keep the oeffis context alive after a successful connection. Destroying the context results in the DBus connection being closed and that again results in our EIS fd being invalidated by the portal and/or the EIS implementation.

An oeffis context is refcounted, see oeffis_unref().

The documentation for this struct was generated from the following file:

- doc/api/liboeffis.h